6.0.0-git
2020-01-29

[#4267] CalDAV Server Support
Summary CalDAV Server Support
Queue Kronolith
Queue Version Git master
Type Enhancement
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester chuck (at) horde (dot) org
Created 2006-08-08 (4922 days ago)
Due
Updated 2013-05-01 (2464 days ago)
Assigned 2006-11-24 (4814 days ago)
Resolved 2013-05-01 (2464 days ago)
Milestone 4.1
Patch No

History
2013-05-01 14:37:10 Jan Schneider Comment #7
State ⇒ Resolved
Version ⇒ Git master
Milestone ⇒ 4.1
Reply to this comment
CalDAV support has been added to Kronolith 4.1 and Nag 4.1. CardDAV 
support has been added to Turba 4.1.
2007-06-26 13:05:38 Jan Schneider Comment #6 Reply to this comment
Yes, this might get sponsored.



Note for myself: look at #3032 for an idea of an alternate directory 
layout to allow to create new shares from the dav clients.
2007-06-19 03:35:55 Chuck Hagenbuch Comment #5 Reply to this comment
Jan, do you think it's reasonable to have this done for Kronolith 2.2?
2006-11-24 23:53:12 Chuck Hagenbuch Comment #4 Reply to this comment
Date patch is fine and I've committed it - thanks!
2006-11-24 10:59:48 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
Priority ⇒ 2. Medium
 
2006-11-23 21:03:26 havardw+bugzilla (at) pvv (dot) org Comment #3
New Attachment: webdav_basic_caldav.patch Download
Reply to this comment
This is the main CalDAV patch. The only feature supported is 
calendar-query, and only for the subset used by Evolutiuon and 
Sunbird. Still, it may be enough to use Evolution and Sunbird as Horde 
CalDAV clients when the WebDAV support is more complete.
2006-11-23 21:00:53 havardw+bugzilla (at) pvv (dot) org Comment #2
New Attachment: date_caldav_dates.patch Download
Reply to this comment
Is there anyone working on this?

I've managed to get CalDAV working for reading events from Horde in 
Evolution and Sunbird.

I'll attach the patches here, and also post to dev@lists.horde.org



The first patch is just a small change to the Date class to allow 
dates in the format CalDAV uses for the constructor.

If this is not desirable, then the main patch can be changed to parse 
the date itself.
2006-08-08 16:42:14 Chuck Hagenbuch Comment #1
Type ⇒ Enhancement
State ⇒ Accepted
Priority ⇒ 1. Low
Summary ⇒ CalDAV Server Support
Queue ⇒ Kronolith
Reply to this comment
Adding a ticket to track CalDAV server support and resources. Initial links:



http://chandler.osafoundation.org/

http://trac.macosforge.org/projects/collaboration/

Saved Queries